VTK: vtk::detail::smp::vtkSMPToolsAPI Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | List of all members
vtk::detail::smp::vtkSMPToolsAPI Class Reference

`#include <vtkSMPToolsAPI.h>`

## Public Member Functions
BackendType | GetBackendType ()
const char * | GetBackend ()
bool | SetBackend (const char *type)
void | Initialize (int numThreads=0)
int | GetEstimatedNumberOfThreads ()
void | SetNestedParallelism (bool isNested)
bool | GetNestedParallelism ()
bool | IsParallelScope ()
bool | GetSingleThread ()
int | GetInternalDesiredNumberOfThread ()
template<typename Config , typename T >
void | LocalScope (Config const &config, T &&lambda)
template<typename FunctorInternal >
void | For (vtkIdType first, vtkIdType last, vtkIdType grain, FunctorInternal &fi)
template<typename InputIt , typename OutputIt , typename Functor >
void | Transform (InputIt inBegin, InputIt inEnd, OutputIt outBegin, Functor &transform)
template<typename InputIt1 , typename InputIt2 , typename OutputIt , typename Functor >
void | Transform (InputIt1 inBegin1, InputIt1 inEnd, InputIt2 inBegin2, OutputIt outBegin, Functor &transform)
template<typename Iterator , typename T >
void | Fill (Iterator begin, Iterator end, const T &value)
template<typename RandomAccessIterator >
void | Sort (RandomAccessIterator begin, RandomAccessIterator end)
template<typename RandomAccessIterator , typename Compare >
void | Sort (RandomAccessIterator begin, RandomAccessIterator end, Compare comp)
| vtkSMPToolsAPI (vtkSMPToolsAPI const &)=delete
void | operator= (vtkSMPToolsAPI const &)=delete

## Static Public Member Functions
static vtkSMPToolsAPI & | GetInstance ()

## Detailed Description

Definition at line 38 of file vtkSMPToolsAPI.h.

## Constructor & Destructor Documentation

## ◆ vtkSMPToolsAPI()

vtk::detail::smp::vtkSMPToolsAPI::vtkSMPToolsAPI | ( | vtkSMPToolsAPI const & |  | ) |
| delete

## Member Function Documentation

## ◆ GetInstance()

static vtkSMPToolsAPI& vtk::detail::smp::vtkSMPToolsAPI::GetInstance | ( |  | ) |
| static

## ◆ GetBackendType()

BackendType vtk::detail::smp::vtkSMPToolsAPI::GetBackendType | ( |  | ) |

## ◆ GetBackend()

const char* vtk::detail::smp::vtkSMPToolsAPI::GetBackend | ( |  | ) |

## ◆ SetBackend()

bool vtk::detail::smp::vtkSMPToolsAPI::SetBackend | ( | const char * | type | ) |

## ◆ Initialize()

void vtk::detail::smp::vtkSMPToolsAPI::Initialize | ( | int | numThreads = `0` | ) |

## ◆ GetEstimatedNumberOfThreads()

int vtk::detail::smp::vtkSMPToolsAPI::GetEstimatedNumberOfThreads | ( |  | ) |

## ◆ SetNestedParallelism()

void vtk::detail::smp::vtkSMPToolsAPI::SetNestedParallelism | ( | bool | isNested | ) |

## ◆ GetNestedParallelism()

bool vtk::detail::smp::vtkSMPToolsAPI::GetNestedParallelism | ( |  | ) |

## ◆ IsParallelScope()

bool vtk::detail::smp::vtkSMPToolsAPI::IsParallelScope | ( |  | ) |

## ◆ GetSingleThread()

bool vtk::detail::smp::vtkSMPToolsAPI::GetSingleThread | ( |  | ) |

## ◆ GetInternalDesiredNumberOfThread()

int vtk::detail::smp::vtkSMPToolsAPI::GetInternalDesiredNumberOfThread | ( |  | ) |
| inline

Definition at line 72 of file vtkSMPToolsAPI.h.

## ◆ LocalScope()

template<typename Config , typename T >

void vtk::detail::smp::vtkSMPToolsAPI::LocalScope | ( | Config const & | config,
|  | T && | lambda
| ) |  |
| inline

Definition at line 76 of file vtkSMPToolsAPI.h.

## ◆ For()

template<typename FunctorInternal >

void vtk::detail::smp::vtkSMPToolsAPI::For | ( | vtkIdType | first,
|  | vtkIdType | last,
|  | vtkIdType | grain,
|  | FunctorInternal & | fi
| ) |  |
| inline

Definition at line 94 of file vtkSMPToolsAPI.h.

## ◆ Transform() [1/2]

template<typename InputIt , typename OutputIt , typename Functor >

void vtk::detail::smp::vtkSMPToolsAPI::Transform | ( | InputIt | inBegin,
|  | InputIt | inEnd,
|  | OutputIt | outBegin,
|  | Functor & | transform
| ) |  |
| inline

Definition at line 115 of file vtkSMPToolsAPI.h.

## ◆ Transform() [2/2]

template<typename InputIt1 , typename InputIt2 , typename OutputIt , typename Functor >

void vtk::detail::smp::vtkSMPToolsAPI::Transform | ( | InputIt1 | inBegin1,
|  | InputIt1 | inEnd,
|  | InputIt2 | inBegin2,
|  | OutputIt | outBegin,
|  | Functor & | transform
| ) |  |
| inline

Definition at line 136 of file vtkSMPToolsAPI.h.

## ◆ Fill()

template<typename Iterator , typename T >

void vtk::detail::smp::vtkSMPToolsAPI::Fill | ( | Iterator | begin,
|  | Iterator | end,
|  | const T & | value
| ) |  |
| inline

Definition at line 158 of file vtkSMPToolsAPI.h.

## ◆ Sort() [1/2]

template<typename RandomAccessIterator >

void vtk::detail::smp::vtkSMPToolsAPI::Sort | ( | RandomAccessIterator | begin,
|  | RandomAccessIterator | end
| ) |  |
| inline

Definition at line 179 of file vtkSMPToolsAPI.h.

## ◆ Sort() [2/2]

template<typename RandomAccessIterator , typename Compare >

void vtk::detail::smp::vtkSMPToolsAPI::Sort | ( | RandomAccessIterator | begin,
|  | RandomAccessIterator | end,
|  | Compare | comp
| ) |  |
| inline

Definition at line 200 of file vtkSMPToolsAPI.h.

## ◆ operator=()

void vtk::detail::smp::vtkSMPToolsAPI::operator= | ( | vtkSMPToolsAPI const & |  | ) |
| delete

The documentation for this class was generated from the following file:

- Common/Core/SMP/Common/vtkSMPToolsAPI.h